[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TCustomVariantType.CompareOp

Check result of a comparison between 2 custom variant values

## Declaration

Source position: variants.pp line 207

`public function TCustomVariantType.CompareOp(`
`const Left: tvardata;`
`const Right: tvardata;`
`const Operation: tvarop`
`):Boolean; virtual;`

## Arguments

`Left` |  | Left operand
`Right` |  | Right operand
`Operation` |  | Compare operation to check

## Function result

Result of comparison operarion

## Description

CompareOp performs the comparison specified in Operation on left and Right and returns True if the values satisfy the requested operation. The TCustomVariantType implementation of this method raises an 'unsupported' error. Descendent classes must override this method.

## Errors

If a descendent does not override this, an 'unsupported' error is raised.

## See also

TCustomVariantType.Compare |  | Comparison 2 custom variant values
TCustomVariantType.UnaryOp |  | Perform a unary mathematical operation
TCustomVariantType.binaryOp |  | Perform a binary mathematical operation